// This file is a part of the Framsticks GDK library.
// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
// Refer to http://www.framsticks.com/ for further information.

#ifndef _SYNTPATAM_H_
#define _SYNTPATAM_H_

#include "param.h"

class SyntParam: public Param
{
void* obj;
ParamEntry *pe;
SString* autostring;
  public:
SyntParam(ParamEntry *pe,SString* autostring=0);
SyntParam(const SyntParam& src);
~SyntParam();
void setAutoUpdate(SString* autostr) {autostring=autostr;}
void update(SString *s=0);
void revert(SString *s=0);
};

#endif
